--------------------------------------------------------------
-- IsTitoActive
--------------------------------------------------------------
function IsTitoActive(civilizationID)
	for iSlot = 0, GameDefines.MAX_MAJOR_CIVS-1, 1 do
		local slotStatus = PreGame.GetSlotStatus(iSlot)
		if (slotStatus == SlotStatus["SS_TAKEN"] or slotStatus == SlotStatus["SS_COMPUTER"]) then
			if PreGame.GetCivilization(iSlot) == civilizationID then
				return true
			end
		end
	end

	return false
end
--==========================================================================================================================
local civilizationID  = GameInfoTypes["CIVILIZATION_YUGOSLAVIA"]
local isCivActive	  = IsTitoActive(civilizationID)
local mathMax		  = math.max

if isCivActive then
	print("Josip Broz Tito is in this game.")
end
--==========================================================================================================================
-- Titoa_GetNumDoFs
--==========================================================================================================================
function Tito_GetNumDoFs(playerID)
	local player = Players[playerID]
	local numDoFs = 0
	for otherPlayerID = 0, GameDefines.MAX_MAJOR_CIVS-1, 1 do
		if otherPlayerID ~= playerID then
			local otherPlayer = Players[otherPlayerID]
			if (otherPlayer:IsAlive() and otherPlayer:IsDoF(playerID)) then
				numDoFs = numDoFs + 1
			end
		end
	end
	return numDoFs
end
--==========================================================================================================================
-- Tito Trait Bonuses
--==========================================================================================================================
local civilizationID = GameInfoTypes["CIVILIZATION_YUGOSLAVIA"]
local buildingTitoBonusID = GameInfoTypes["BUILDING_TITO_TRAIT_BONUS"]
function Tito_DoFBonus(playerID)
	local player = Players[playerID]
	if (player:IsAlive() and player:GetCivilizationType() == civilizationID) then	
		local numDoFs = Tito_GetNumDoFs(playerID)
		for city in player:Cities() do
			city:SetNumRealBuilding(buildingTitoBonusID, numDoFs)
		end
	end
end
if isCivActive then
	GameEvents.PlayerDoTurn.Add(Tito_DoFBonus)
end
--=======================================================================================================================
--=======================================================================================================================